/*
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved.
 */
using System;

namespace TopCoder.Test.Framework.Servers
{
    /// <summary>
    /// Defines a custom exception which is thrown when any error happens while processing in the
    /// the classes derived from <c>Server</c> class, or when it fails to create a corresponding class
    /// derived from <c>Server</c> class in the <c>ServerElement</c> class.
    /// </summary>
    /// <remarks>
    /// This class is thread-safe.
    /// </remarks>
    ///
    /// <author>real_vg</author>
    /// <author>TCSDEVELOPER</author>
    /// <version>1.0</version>
    /// <copyright>Copyright (c) 2006, TopCoder, Inc. All rights reserved.</copyright>
    public class ServerException : ApplicationException
    {
        /// <summary>
        /// Creates a new instance of <c>ServerException</c> class. The detailed error message is given.
        /// </summary>
        /// <param name="message">A detailed error message descrbing the nature of the error.</param>
        public ServerException(string message) : base(message)
        {
        }

        /// <summary>
        /// Creates a new instance of <c>CommandCreationException</c> class. The detailed error message and the original
        /// cause of this error are given.
        /// </summary>
        /// <param name="message">A detailed error message descrbing the nature of the error.</param>
        /// <param name="innerException">The original cause of this error.</param>
        public ServerException(string message, Exception innerException) : base(message, innerException)
        {
        }
    }
}