/*
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved.
 */
using System;
using System.ServiceProcess;
using NAnt.Core;
using NUnit.Framework;

namespace TopCoder.Test.Framework
{
    /// <summary>
    /// This is a demo which shows the usage of <c>ServerAppTestTask</c>.
    /// </summary>
    /// <author>TCSDEVELOPER</author>
    /// <version>1.0</version>
    /// <copyright>Copyright (c) 2006, TopCoder, Inc. All rights reserved.</copyright>
    [TestFixture]
    public class Demo
    {
        /// <summary>
        /// Show the usage of <c>ExecuteTask()</c>.
        /// </summary>
        [Test]
        public void TestExecuteTaskUsage()
        {
            // stop the service first
            ServiceController serviceController = new ServiceController("w3svc");
            if (serviceController.Status != ServiceControllerStatus.Stopped)
            {
                serviceController.Stop();
                serviceController.WaitForStatus(ServiceControllerStatus.Stopped,
                    TimeSpan.FromMilliseconds(60000));
            }

            Project project = new Project(@"../../test_files/ServerapptestElement.xml", Level.Info);
            ServerAppTestTask task = new MockServerAppTestTask();
            task.Project = project;
            task.Initialize(UnitTestHelper.GetXmlNode(project.BuildFileLocalName, "serverapptest"));

            (task as MockServerAppTestTask).ExecuteTask();

            // check that the server has stoped
            serviceController = new ServiceController("w3svc");
            Assert.AreEqual(ServiceControllerStatus.Stopped, serviceController.Status,
                "The service should be stopped.");
        }
    }
}
