/*
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved.
 */
using System;

namespace TopCoder.Test.Framework.Servers
{

    /// <summary>
    /// A mock class for testing.
    /// </summary>
    /// <author>TCSDEVELOPER</author>
    /// <version>1.0</version>
    /// <copyright>Copyright (c) 2006, TopCoder, Inc. All rights reserved.</copyright>
    public class MockDatabaseServer : DatabaseServer
    {

        /// <summary>
        /// Starts the server. A mock method, do nothing here.
        /// </summary>
        /// <exception cref="ServerException">If it fails to start the server.</exception>
        public override void StartUp()
        {
        }

        /// <summary>
        /// Stops the server. A mock method, do nothing here.
        /// </summary>
        /// <exception cref="ServerException">If it fails to shut down the server.</exception>
        public override void ShutDown()
        {
        }

        /// <summary>
        /// Initializes the server with data. A mock method, do nothing here.
        /// </summary>
        /// <exception cref="ServerException">If it fails to initialize the server with data.</exception>
        public override void InitData()
        {
        }

        /// <summary>
        /// Clean-ups the data initialized by the <c>initData()</c> method. A mock method, do nothing here.
        /// </summary>
        /// <exception cref="ServerException">If it fails to clean-up the data initialized by the
        /// <c>initData()</c> method.</exception>
        public override void CleanUpData()
        {
        }
    }
}
